Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008770TestLinkAvailable Fixespublic2019-09-19 14:142019-09-23 05:24
Reporterfilipse 
Assigned Tofman 
PrioritynoneSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.9.19 (2019 Q1) 
Fixed in Version1.9.19.01 (1.9.19 fixes) 
Summary0008770: Uknown PHP sprtinf called
Description
Dear TL support

We found the log had this error:

- PHP Fatal error: Uncaught Error: Call to undefined function sprtinf() in /var/www/testlink/lib/functions/testcase.class.php:1918\nStack trace:\n#0 /var/www/testlink/lib/testcases/tcEdit.php(239): testcase->copy_to(209022, 263586, 189, Array)\n#1 {main}\n thrown in /var/www/testlink/lib/functions/testcase.class.php on line 1918, referer: https://testlink.emsa.europa.eu/lib/testcases/tcEdit.php [^] [^]


Line 1918 of file lib/functions/testcase.class.php was

$act = sprtinf(self::GHOSTSTEPMASK,$step['step_number'],


and after replaced by
$act = sprintf(self::GHOSTSTEPMASK,$step['step_number'],

(sprtinf was replaced by sprintf)

Error is gone.

Can you please confirm this is correct?


Thanks,
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL 5.7.24
Browser
PHP Version7.2.10
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships

-  Notes
(0029190)
fman (administrator)
2019-09-19 14:31

thanks
(0029192)
fman (administrator)
2019-09-19 15:29
edited on: 2019-09-19 15:30

tl1.19.9.01
https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/e2a6583ce2b3ebd3a802861fc168dc20a771bcf2 [^]


latest code
https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/5722feddbc1510a95cd7b81a2c08b60f219818da [^]

(0029201)
hughkay (reporter)
2019-09-20 07:42

@fman:
Is the commit "e2a6583c" for tl1.9.19.01 branch correct?
"Showing 528 changed files with 137,445 additions and 1 deletion."
It seems that you've included way too much here.
Could you please have a look?
Thanks!
(0029202)
fman (administrator)
2019-09-20 12:46

my fault, I will try to revert. I'm sorry
(0029204)
fman (administrator)
2019-09-21 14:55

revert & new commit on tl1.19.9.01 done
(0029206)
hughkay (reporter)
2019-09-23 05:24

@fman:
Great, the new commit looks adequate now.

- Issue History
Date Modified Username Field Change
2019-09-19 14:14 filipse New Issue
2019-09-19 14:31 fman Note Added: 0029190
2019-09-19 15:29 fman Note Added: 0029192
2019-09-19 15:30 fman Note Edited: 0029192 View Revisions
2019-09-19 15:30 fman QA Team - Task Workflow Status => READY FOR TESTING
2019-09-19 15:30 fman Status new => resolved
2019-09-19 15:30 fman Fixed in Version => 1.9.19.01 (1.9.19 fixes)
2019-09-19 15:30 fman Resolution open => fixed
2019-09-19 15:30 fman Assigned To => fman
2019-09-19 15:31 fman Description Updated View Revisions
2019-09-20 07:42 hughkay Note Added: 0029201
2019-09-20 12:46 fman Note Added: 0029202
2019-09-21 14:55 fman Note Added: 0029204
2019-09-23 05:24 hughkay Note Added: 0029206



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker